using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _A__Madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;
            string k;

            var ulaz = Console.ReadLine().Split();
            n = int.Parse(ulaz[0]);
            k = ulaz[1];
            
            string[] karte = Console.ReadLine().Split();

            string prvi = karte[0], ispod = null;

            for (int i = 0; i < n; i++)
            {
                if (karte[i] == k)
                {
                    if (i + 1 < n) 
                    {
                        ispod = karte[i + 1];
                    }
                    break;
                }
            }

            Console.WriteLine(ispod != null ? ispod : prvi);

        }
    }
}